Subject: Re: bug#13109: 24.1; flyspell highlights words containing curly quotes which ispell-buffer accepts

From: Eli Zaretskii <[email-masked]>
Date: Fri, 07 Dec 2012 15:57:06 +0200

> Date: Fri, 7 Dec 2012 12:52:29 +0000
> From: Reuben Thomas <[email-masked]>
> 
> > > From: Reuben Thomas <[email-masked]>
> > > Date: Thu, 06 Dec 2012 23:59:11 +0000
> > >
> > > Insert "didn’t" in the scratch buffer (note the curly quote).
> > > ispell-buffer gives the buffer a clean bill of health, but turning on
> > > flyspell-mode highlights “didn”. My default dictionary is british, and
> > > ispell-buffer uses aspell by default on my system.
> >
> > Please try a newer Emacs, I think this bug was already fixed.  At
> > least I cannot reproduce this with the current emacs-24 branch.
> >
> > I just checked out out the emacs-24 branch, and I can reproduce this bug,
> running emacs -Q and proceeding as in my original report.

Sorry, that's my bad: I didn't "note the curly quote".

But with that character, ispell-buffer also wants me to correct
"didn".  So both commands are consistent on my machine.  But then I
don't work on en_GB.UTF-8 locale, and I'm guessing your ispell is
neither real ispell nor hunspell, which are two spellers I tested this
with.

P.S. Please keep the bug address on the CC list, so that this
discussion gets archived by the bug tracker.